FormatHelper (Groovy 5.1.0)

Package: org.codehaus.groovy.runtime

## [Java] Class FormatHelper

- org.codehaus.groovy.runtime.FormatHelper

-     public class FormatHelper
      extends Object

  Formatting methods

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static MetaClassRegistry` | `metaRegistry` |

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public static void` | `append(Appendable out, Object object)` Appends an object to an Appendable using Groovy's default representation for the object.
    `` | `public static String` | `escapeBackslashes(String orig)`
    `` | `public static String` | `format(Object arguments, boolean verbose)`
    `` | `public static String` | `format(Object arguments, boolean inspect, boolean escapeBackslashes)`
    `` | `public static String` | `format(Object arguments, boolean verbose, int maxSize)`
    `` | `public static String` | `format(Object arguments, boolean inspect, boolean escapeBackslashes, int maxSize)`
    `` | `public static String` | `format(Object arguments, boolean verbose, int maxSize, boolean safe)`
    `` | `public static String` | `format(Object arguments, boolean inspect, boolean escapeBackslashes, int maxSize, boolean safe)`
    `` | `public static String` | `inspect(Object self)`
    `` | `public static String` | `toArrayString(Object[] arguments)` A helper method to return the string representation of an array of objects with brace boundaries "[" and "]".
    `` | `public static String` | `toArrayString(Object[] arguments, int maxSize, boolean safe)` A helper method to return the string representation of an array of objects with brace boundaries "[" and "]".
    `` | `public static String` | `toListString(Collection arg)` A helper method to return the string representation of a list with bracket boundaries "[" and "]".
    `` | `public static String` | `toListString(Collection arg, int maxSize)` A helper method to return the string representation of a list with bracket boundaries "[" and "]".
    `` | `public static String` | `toListString(Collection arg, int maxSize, boolean safe)` A helper method to return the string representation of a list with bracket boundaries "[" and "]".
    `` | `public static String` | `toMapString(Map arg)` A helper method to return the string representation of a map with bracket boundaries "[" and "]".
    `` | `public static String` | `toMapString(Map arg, int maxSize)` A helper method to return the string representation of a map with bracket boundaries "[" and "]".
    `` | `public static String` | `toString(Object arguments)`
    `` | `public static String` | `toString(Map<String, Object> options, Object arguments)` Output the `toString` for the argument(s) with various options to configure.
    `` | `public static String` | `toTypeString(Object[] arguments)` A helper method to format the arguments types as a comma-separated list.
    `` | `public static String` | `toTypeString(Object[] arguments, int maxSize)` A helper method to format the arguments types as a comma-separated list.
    `` | `public static void` | `write(Writer out, Object object)` Writes an object to a Writer using Groovy's default representation for the object.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### public static final MetaClassRegistry metaRegistry

  - ### Method Detail

    - #### public static void append(Appendable out, Object object)

      Appends an object to an Appendable using Groovy's default representation for the object.

    - #### public static String escapeBackslashes(String orig)

    - #### public static String format(Object arguments, boolean verbose)

    - #### public static String format(Object arguments, boolean inspect, boolean escapeBackslashes)

    - #### public static String format(Object arguments, boolean verbose, int maxSize)

    - #### public static String format(Object arguments, boolean inspect, boolean escapeBackslashes, int maxSize)

    - #### public static String format(Object arguments, boolean verbose, int maxSize, boolean safe)

    - #### public static String format(Object arguments, boolean inspect, boolean escapeBackslashes, int maxSize, boolean safe)

    - #### public static String inspect(Object self)

    - #### public static String toArrayString(Object[] arguments)

      A helper method to return the string representation of an array of objects with brace boundaries "[" and "]".

      Parameters:
        `arguments` - the array to process
      Returns:
        the string representation of the array

    - #### public static String toArrayString(Object[] arguments, int maxSize, boolean safe)

      A helper method to return the string representation of an array of objects with brace boundaries "[" and "]".

      Parameters:
        `arguments` - the array to process
        `maxSize` - stop after approximately this many characters and append '...'
        `safe` - whether to use a default object representation for any item in the array if an exception occurs when generating its toString
      Returns:
        the string representation of the array

    - #### public static String toListString(Collection arg)

      A helper method to return the string representation of a list with bracket boundaries "[" and "]".

      Parameters:
        `arg` - the collection to process
      Returns:
        the string representation of the collection

    - #### public static String toListString(Collection arg, int maxSize)

      A helper method to return the string representation of a list with bracket boundaries "[" and "]".

      Parameters:
        `arg` - the collection to process
        `maxSize` - stop after approximately this many characters and append '...'
      Returns:
        the string representation of the collection

    - #### public static String toListString(Collection arg, int maxSize, boolean safe)

      A helper method to return the string representation of a list with bracket boundaries "[" and "]".

      Parameters:
        `arg` - the collection to process
        `maxSize` - stop after approximately this many characters and append '...', -1 means don't stop
        `safe` - whether to use a default object representation for any item in the collection if an exception occurs when generating its toString
      Returns:
        the string representation of the collection

    - #### public static String toMapString(Map arg)

      A helper method to return the string representation of a map with bracket boundaries "[" and "]".

      Parameters:
        `arg` - the map to process
      Returns:
        the string representation of the map

    - #### public static String toMapString(Map arg, int maxSize)

      A helper method to return the string representation of a map with bracket boundaries "[" and "]".

      Parameters:
        `arg` - the map to process
        `maxSize` - stop after approximately this many characters and append '...', -1 means don't stop
      Returns:
        the string representation of the map

    - #### public static String toString(Object arguments)

    - #### public static String toString(@NamedParams({ @NamedParam(value = "safe", type = Boolean.class), @NamedParam(value = "maxSize", type = Integer.class), @NamedParam(value = "verbose", type = Boolean.class), @NamedParam(value = "escapeBackslashes", type = Boolean.class), @NamedParam(value = "inspect", type = Boolean.class) })
      Map<String, Object> options, Object arguments)

      Output the `toString` for the argument(s) with various options to configure. Configuration options:

               safeprovides protection if the toString throws an exception, in which case the exception is swallowed and a dumber default toString is used
               maxSizewill attempt to truncate the output to fit approx the maxSize number of characters, -1 means don't truncate
               inspectif false, render a value by its toString, otherwise use its inspect value
               escapeBackSlasheswhether characters like tab, newline, etc. are converted to their escaped rendering ('\t', '\n', etc.)
               verboseshorthand to turn on both inspect and escapeBackslashes

      Parameters:
        `options` - a map of configuration options
        `arguments` - the argument(s) to calculate the `toString` for
      Returns:
        the string rendering of the argument(s)
      See Also:
        DefaultGroovyMethods.inspect

    - #### public static String toTypeString(Object[] arguments)

      A helper method to format the arguments types as a comma-separated list.

      Parameters:
        `arguments` - the type to process
      Returns:
        the string representation of the type

    - #### public static String toTypeString(Object[] arguments, int maxSize)

      A helper method to format the arguments types as a comma-separated list.

      Parameters:
        `arguments` - the type to process
        `maxSize` - stop after approximately this many characters and append '...', -1 means don't stop
      Returns:
        the string representation of the type

    - #### public static void write(Writer out, Object object)

      Writes an object to a Writer using Groovy's default representation for the object.